package com.huimv.acquisition.service.impl;

import com.huimv.acquisition.entity.SowRankTableEntity;
import com.huimv.acquisition.mapper.SowRankTableDao;
import com.huimv.acquisition.service.SowRankTableService;
import com.huimv.acquisition.utils.PageUtils;
import com.huimv.acquisition.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-04 17:47:18
 */
@Service("sowRankTableService")
public class SowRankTableServiceImpl extends ServiceImpl<SowRankTableDao, SowRankTableEntity> implements SowRankTableService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<SowRankTableEntity> page = this.page(
                new Query<SowRankTableEntity>().getPage(params),
                new QueryWrapper<SowRankTableEntity>()
        );

        return new PageUtils(page);
    }

}